AplasAplas API Reference

Create an application tag

POST
/index/{indexId}/applicationTag

Authorization

BearerAuth
AuthorizationBearer <token>

API authentication via Authorization: Bearer <your-api-key>. Obtain your API key from Config → API in the Aplas web app.

In: header

Path Parameters

indexId*string

The id of the containing index

Request Body

application/json

The new application tag to create

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X POST "https://api.au.aplas.com/api/v2/index/id/applicationTag" \  -H "Content-Type: application/json" \  -d '{    "id": "id",    "name": "App Tag A",    "description": "More information",    "color": "#FFFFFF",    "status": "Standard",    "tagGroupId": "id_tagGroup",    "parentTagId": "id_tag_parent",    "customFieldA": "Custom Field Value",    "customFieldB": [      "alias1",      "alias2"    ]  }'
Empty
{
  "code": 500,
  "message": "Internal server error"
}